﻿using System;
using System.Collections.Generic;
using System.Data.SqlClient;
using System.Linq;
using System.Threading.Tasks;
using Bind_Leaflets_Maps_Core_MVC.Models;
using Microsoft.AspNetCore.Mvc;
using Microsoft.IdentityModel.Protocols;

namespace Bind_Leaflets_Maps_Core_MVC.Controllers
{
    public class HomeController : Controller
    {
        private DBCtx Context { get; set; }
        public HomeController(DBCtx _context)
        {
            this.Context = _context;
        }

        public IActionResult Index()
        {

            return View();
        }

        public JsonResult GetData()
        {
            return Json(this.Context.Locations.ToList());
        }
    }
}